#include <mediaService.h>

MediaService::MediaService(const std::string& filename, int width, int height){
    auto type = UtilTool::CheckFileType(filename);
    client_width = width;
    client_height = height;
    float scale = .0f;
    switch (type)
    {
    case MediaType::IMAGE:
        imageService = new ImageService(filename);
        texture = &imageService->GetTexture();
        sprite = new sf::Sprite();
        sprite->setTexture(*texture);
        scale = imageService->GetScale(client_width, client_height);
        sprite->setScale(scale, scale);
        break;
    
    default:
        break;
    }
}